Name:       darkice
Version:    0.19
Release:    11%{?dist}
Summary:    Live audio streamer
Group:      Applications/Multimedia
License:    GPLv2+
URL:        http://darkice.tyrell.hu/
Source0:    http://darkice.tyrell.hu/dist/0.19/%{name}-%{version}.tar.gz
Patch0:     %{name}-%{version}-configure.patch
Patch1:     %{name}-%{version}-gcc44.patch
# Sent to darkeye [AT] users.sourceforge.net on 2009/04/21 (Trac not working at that time)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: alsa-lib-devel
BuildRequires: zlib-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel

%description
DarkIce is a live audio streamer. It records audio from an audio interface
(e.g. sound card), encodes it and sends it to a streaming server.

DarkIce can record from:
* OSS audio devices
* ALSA audio devices
* Solaris audio interface
* Jack sources
* uLaw audio input through a serial interface


%prep
%setup -q
%patch0 -p1 -b .configure
%patch1 -b .gcc44

%build
%configure

%{__make} -k %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%config %{_sysconfdir}/darkice.cfg
%{_bindir}/darkice
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/%{name}.cfg.5.gz

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-9
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.19-5
- Fix FTBFS: added darkice-0.19-gcc44.patch

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 5 2008 Clint Savage <herlo@fedoraproject.org> 0.19-3
- Fixed the licensing to GPLv2+
* Wed Jul 25 2008 Clint Savage <herlo@fedoraproject.org> 0.19-2
- Fixing packaging mistakes according to the FedoraProject standards
* Wed Jul 9 2008 Clint Savage <herlo@fedoraproject.org> 0.19-1
- Initial rpm package
